Name:          webjars-locator
Version:       0.32
Release:       9%{?dist}
Summary:       WebJar Locator
License:       MIT
URL:           http://www.webjars.org/
Source0:       https://github.com/webjars/webjars-locator/archive/%{name}-%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(com.fasterxml.jackson.core:jackson-databind)
BuildRequires: mvn(org.apache.maven.plugins:maven-release-plugin)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)
BuildRequires: mvn(org.webjars:webjars-locator-core)
BuildRequires: mvn(org.eclipse.aether:aether-util)

%if 0
# Test deps
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.slf4j:slf4j-simple)
# NOT available
BuildRequires: mvn(org.webjars:bootstrap:3.1.1-1)
BuildRequires: mvn(org.webjars:jquery:2.1.0-3)
BuildRequires: mvn(org.webjars:requirejs:2.1.14-3)
BuildRequires: mvn(org.webjars:when-node:3.5.2-2)
BuildRequires: mvn(org.webjars.bower:angular-bootstrap:0.13.0)
BuildRequires: mvn(org.webjars.bower:angular-schema-form:0.8.2)
BuildRequires: mvn(org.webjars.npm:angular-pouchdb:2.0.8)
BuildRequires: mvn(org.webjars.npm:babel-runtime:5.8.19)
BuildRequires: mvn(org.webjars.npm:object-assign:4.1.0)
BuildRequires: mvn(org.webjars.npm:validate.js:0.8.0)
%endif

BuildArch:     noarch

%description
WebJars are client-side web libraries (e.g. jQuery & Bootstrap)
packaged into JAR (Java Archive) files. This project provides a
means to locate assets within WebJars.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}
# Cleanup
find -name "*.class" -print -delete
find -name "*.jar" -print -delete

%pom_remove_plugin :nexus-staging-maven-plugin

%mvn_file : %{name}

%build

# Skip test: unavailable test deps
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE.md

%files javadoc -f .mfiles-javadoc
%license LICENSE.md

%changelog
* Sat Jul 27 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.32-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.32-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.32-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.32-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.32-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu Feb 16 2017 gil cattaneo <puntogil@libero.it> 0.32-4
- add missing BR

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.32-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Aug 23 2016 gil cattaneo <puntogil@libero.it> 0.32-2
- Initial import (#1366837)
- review fixes

* Mon Jul 25 2016 gil cattaneo <puntogil@libero.it> 0.32-1
- initial rpm

